package com.bzd.system.service.hygl.jf;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 积分记录表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SHyglJfglMemberpointsinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSHyglJfglMemberpointsinfo(PageData pd)throws Exception {
        return daoSupport.update("SHyglJfglMemberpointsinfoMapper.addSHyglJfglMemberpointsinfo", pd);
    }

    public List<PageData> findSHyglJfglMemberpointsinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SHyglJfglMemberpointsinfoMapper.selectSHyglJfglMemberpointsinfoList", pd);
    }

    public Integer SHyglJfglMemberpointsinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SHyglJfglMemberpointsinfoMapper.SHyglJfglMemberpointsinfoRemove", pd);
    }


    public Integer updateSHyglJfglMemberpointsinfo(PageData pd)throws Exception {
        return daoSupport.update("SHyglJfglMemberpointsinfoMapper.updateSHyglJfglMemberpointsinfo", pd);
    }

}
